Description

At the moment, the following is allowed:
 1/*
 2 * By using an array as source you can also override time and timezone of the created DateTime object:
 3 * array(
 4 *  'date' => '<dateString>',
 5 *  'hour' => '<hour>', // integer
 6 *  'minute' => '<minute>', // integer
 7 *  'seconds' => '<seconds>', // integer
 8 *  'timezone' => '<timezone>', // string, see http://www.php.net/manual/timezones.php
 9 * );
10

Analog to this, it'd be good to allow three additional keys for day, month, year. This makes it possible to feed the source by
independent <select> boxes for example, where each select box is day, month or year.

Associated revisions
Revision 01d918d0 - 2012-05-11 14:28 - Adrian Föder

[FEATURE] Day, month, year keys in DateTimeConverter source array

This patch introduces additional possible array keys for the
source array of the DateTimeConverter. Now not only a string
representing the DateTime can be passed, but array keys
of the single day, month and year.

Change-Id: Ib5f98967dabf7447acab9d46c1606c19d6290c79
Resolves: #35195
Releases: 1.2

History
#1 - 2012-03-23 17:57 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9848
#2 - 2012-03-29 14:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9848

#3 - 2012-03-30 12:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9848

#4 - 2012-05-11 14:30 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9848

#5 - 2012-05-31 13:48 - Sebastian Kurfuerst
- Category set to Property
- Status changed from Under Review to Resolved
- Target version set to 2.0 beta 1
- % Done changed from 0 to 100
